## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Read File Result

#### GET

/v1/file-results/{fileResultId}

##### cURL

```
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/file-results/{fileResultId} \
  --header 'Authorization: Bearer <token>'
```

##### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/file-results/{fileResultId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

##### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/file-results/{fileResultId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

##### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/file-results/{fileResultId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

##### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/file-results/{fileResultId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

##### Java (Unirest)

```java
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/file-results/{fileResultId}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

##### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/file-results/{fileResultId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

#### Response

200 - application/json

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "fileName": "<string>",
  "size": 123
}
```

#### Authorizations

**Authorization**  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Path Parameters

**fileResultId**  
string  
required

#### Response  
200 - application/json  
OK

- **id**: string - The unique file export identifier.
- **version**: integer<int64> - Indicates the data integrity version to ensure data consistency.
- **creationDate**: string<date-time> - The date that the object was originally created.
- **lastModifiedDate**: string<date-time> - The date that the object was last updated or modified.
- **createdUserInfo**: User Info · object - Details about the user who created the file export.
- **lastModifiedUserInfo**: User Info · object - Details about the user who last modified or updated the file export.
- **fileName**: string - The name of the file.
- **size**: integer<int64> - The size of the file.
